package de.fraunhofer.iem.app.kpi.strategy

import de.fraunhofer.iem.app.kpi.dto.KPIHierarchyEdgeDto

class RawValueKPICalculationStrategy(private val value: Int) :
    de.fraunhofer.iem.app.kpi.strategy.KPICalculationStrategy {
    override fun calculateKPI(children: List<KPIHierarchyEdgeDto>): Pair<Int, List<KPIHierarchyEdgeDto>> {
        return Pair(this.value, children)
    }
}
